Get Locations By User

Retrieve national and local geographic locations that a specified user has eligible in-store offers at. Use this endpoint to build out your map-specific UX experiences.


Required scopes: rewards:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Query parameters

page[size]integerOptional
page[after]stringOptional
page[before]stringOptional
filter[name]stringOptional
filter[city]stringOptional

Case-insensitive substring match on the location’s city. Never defines the search area; applied as an additional constraint alongside a radius search when filter[latitude]/filter[longitude]/filter[radius] are also provided.

filter[zipCode]stringOptional

Exact-match filter on the location’s zip code. Never defines the search area; applied as an additional constraint alongside a radius search when filter[latitude]/filter[longitude]/filter[radius] are also provided.

filter[state]enumOptional

Exact-match filter on the location’s state. Never defines the search area; applied as an additional constraint alongside a radius search when filter[latitude]/filter[longitude]/filter[radius] are also provided.

filter[category]enumOptional

Category of merchant. Please use URL Encode for non single word categories. (Food & Beverage should be Food%20%26%20Beverage)

filter[longitude]doubleOptional

Longitude of the point to search around. Must be provided together with filter[latitude]; combine with filter[radius] to run a radius search.

filter[latitude]doubleOptional

Latitude of the point to search around. Must be provided together with filter[longitude]; combine with filter[radius] to run a radius search.

filter[radius]integerOptional

Radius in miles to search around the point given by filter[latitude]/filter[longitude] (default 10, minimum 1). Has no effect unless both latitude and longitude are also provided — it is ignored when only filter[zipCode], filter[city], or filter[state] is used, without lat/long.

sortenumOptional
If provided, response will be sorted by the specified fields
Allowed values:
includestringOptional

CSV list of included resources in the response (e.g “offers,categories”). Allowed values are offers and categories.

supportedComponentsenumOptional
UI component types to include in included offers.

Response

This endpoint returns an object.
datalist of objects
includedlist of objectsOptional

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error